Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(113)

Unified Diff: third_party/pkg/update_perf.sh

Issue 124053002: Adding Angular and dependent packages for testing (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 12 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/pkg/update_perf.sh
diff --git a/third_party/pkg/update_perf.sh b/third_party/pkg/update_perf.sh
new file mode 100755
index 0000000000000000000000000000000000000000..04b30bb5c7d8caaa6b76d9137582ad5670438dac
--- /dev/null
+++ b/third_party/pkg/update_perf.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (c) 2013, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# bail on error
+set -e
+
+readonly DIR=$( cd $( dirname "${BASH_SOURCE[0]}" ) && pwd )
+pushd $DIR > /dev/null
+
+echo "*** Deleting old version"
+rm -rf perf_api
+
+echo "*** Syncing code"
+git clone https://github.com/google/perf_api.dart perf_api
+
+pushd perf_api > /dev/null
+readonly REVISION=`git rev-parse HEAD`
+rm -rf .git
+
+echo "${REVISION}" >> REVISION
+echo "*** Updated to revision $REVISION"

Powered by Google App Engine
This is Rietveld 408576698